Loading...
Searching...
No Matches
MssqlSqlUtilBase::MssqlForeignConstraint Class Reference

represents a Mssql-specific foreign constraint More...

## Public Member Functions

| constructor (string n, Columns c, ForeignConstraintTarget t)
| creates the constraint from the supplied arguments
string | getCreateSql (string name, string table_name, __7_ hash opt)
| returns a string that can be used to create the constraint in the database
string | getCreateSql (string table_name, __7_ hash opt)
| returns a string that can be used to create the constraint in the database

## Detailed Description

represents a Mssql-specific foreign constraint